%define	upstream_name	 Net-SSH-Perl
%define	upstream_version 2.14

%{?perl_default_filter}

# This one came from "doc":
#W: doc-file-dependency /usr/share/doc/perl-Net-SSH-Perl/META.yml perl(Crypt::Curve25519)
#W: doc-file-dependency /usr/share/doc/perl-Net-SSH-Perl/MYMETA.yml perl(Crypt::Curve25519)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Crypt::Curve25519

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl client Interface to SSH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::Curve25519) >= 0.50.0
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(CryptX) >= 0.32.0
BuildRequires: perl(Digest::BubbleBabble) >= 0.10.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Math::GMP) >= 1.40.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::CRC32) >= 1.200.0
BuildRequires: perl-devel
# (tv) no more automatically emitted:
Requires:	perl(Digest::BubbleBabble) >= 0.10.0

%description
Net::SSH::Perl is an all-Perl module implementing an SSH
(Secure Shell) client. It is compatible with both the SSH-1
and SSH-2 protocols.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Test 03-packet is prone to hanging (cpan rt#6101)
%{__mv} t/03-packet.t t/03-packet.t.skip

%build
echo 3 | perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# test hang... :\
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE eg
%perl_vendorarch/Net
%perl_vendorarch/auto/Net
%{_mandir}/man*/*


%changelog
* Fri Aug 23 2024 tv <tv> 2.140.0-13.mga10
+ Revision: 2089261
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 2.140.0-12.mga10
+ Revision: 2011584
- Rebuild for perl-5.38

* Tue Jun 07 2022 tv <tv> 2.140.0-11.mga9
+ Revision: 1863266
- Skip test 03-packet, which can sometimes hang (cpan rt#6101)
- Update BRs according to Makefile.PL (thx "magpie fix"), notably:
  + perl(Crypt::Curve25519)
  + perl(CryptX)
  + perl(Digest::BubbleBabble)
- Explicitely enable both SSH1 and SSH2
+ umeabot <umeabot>
- Rebuild for Perl 5.36
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.140.0-9.mga9
+ Revision: 1726958
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.140.0-8.mga8
+ Revision: 1595118
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 2.140.0-7.mga8
+ Revision: 1541105
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 2.140.0-6.mga8
+ Revision: 1433860
- rebuild for perl 5.30

* Fri Oct 05 2018 tv <tv> 2.140.0-5.mga7
+ Revision: 1317989
- drop dep on unbuildable Crypt::Curve25519

* Fri Sep 21 2018 umeabot <umeabot> 2.140.0-4.mga7
+ Revision: 1293552
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 2.140.0-3.mga7
+ Revision: 1250742
- rebuild for perl-5.28

* Tue Oct 03 2017 tv <tv> 2.140.0-2.mga7
+ Revision: 1165979
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.140.0-1.mga7
+ Revision: 1157265
- fix build dependencies
- enable tests
- new version 2.14

* Sun Jun 19 2016 pterjan <pterjan> 1.420.0-3.mga6
+ Revision: 1031329
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.420.0-2.mga6
+ Revision: 970021
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.420.0-1.mga6
+ Revision: 884763
- update to 1.42

* Fri Jun 26 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 844463
- update to 1.38

* Wed Oct 15 2014 umeabot <umeabot> 1.370.0-3.mga5
+ Revision: 741208
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.370.0-2.mga5
+ Revision: 685726
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.370.0-1.mga5
+ Revision: 614935
- update to 1.37

* Sat Oct 19 2013 umeabot <umeabot> 1.360.0-2.mga4
+ Revision: 531912
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.360.0-1.mga4
+ Revision: 465695
- update to 1.36

* Sun Jan 13 2013 umeabot <umeabot> 1.350.0-2.mga3
+ Revision: 370870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 342440
- update to 1.35

* Wed Jan 26 2011 jquelin <jquelin> 1.340.0-1.mga1
+ Revision: 41118
- mageia rebuild
- imported package perl-Net-SSH-Perl

